## fb-client-2.1.1-1.src.tar.gz

=== Makefile ===
VERSION:=2.1.1
PREFIX=/usr
MANDIR=$(PREFIX)/share/man
BINDIR=$(PREFIX)/bin

all: fb

fb: fb.py
	@[ -n "$(VERSION)" ] || (echo "Error: version detection failed"; exit 1)
	sed 's|@VERSION@|$(VERSION)|' $< > $@
	chmod 755 $@

clean:
	rm -f fb
	rm -rf dist

install: all
	install -dm755 $(DESTDIR)$(BINDIR)
	install -m755 fb $(DESTDIR)$(BINDIR)/fb
	install -dm755 $(DESTDIR)$(MANDIR)/man1
	install -m644 fb.1 $(DESTDIR)$(MANDIR)/man1/fb.1

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/fb
	rm -f $(DESTDIR)$(MANDIR)/man1/fb.1

dist: all
	@[ -n "$(VERSION)" ] || (echo "Error: version detection failed"; exit 1)
	mkdir -p dist/fb-$(VERSION)
	cp -a fb{,.py} fb.1 COPYING Makefile dist/fb-$(VERSION)
	sed -i 's/^VERSION:=.*$$/VERSION:='$(VERSION)'/' dist/fb-$(VERSION)/Makefile
	cd dist; tar -czf fb-$(VERSION).tar.gz fb-$(VERSION)

version:
	@echo $(VERSION)

.PHONY: all install clean uninstall version dist

=== PKGBUILD ===
# Maintainer: Florian "Bluewind" Pritz <flo@xssn.at>

pkgname=fb-client
pkgver=2.1.1
pkgrel=1
pkgdesc="Client for paste.xinu.at"
arch=("any")
url="https://paste.xinu.at"
license=('GPL3')
depends=('python' 'python-pycurl' 'python-xdg')
optdepends=('xclip: for automatically copying the URL into the clipboard')
source=(https://paste.xinu.at/data/client/fb-$pkgver.tar.gz{,.sig})
md5sums=('89b8cbe0675bbacaebb4386df7f2958c'
         'SKIP')
validpgpkeys=("CFA6AF15E5C74149FC1D8C086D1655C14CE1C13E")

build() {
  cd "$srcdir/fb-$pkgver"

  make
}

package() {
  cd "$srcdir/fb-$pkgver"

  make DESTDIR="$pkgdir" install
}

# vim:set ts=2 sw=2 et:
